## lua-torch-nngraph 0~20170208

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
CMAKE_POLICY(VERSION 2.6)
FIND_PACKAGE(Torch REQUIRED)

FILE(GLOB luasrc *.lua)

ADD_TORCH_PACKAGE(nngraph ""  "${luasrc}" "Neural Net Graph Package")

## lua-torch-nngraph 0~20170208-g3ed3b9b

=== debian/changelog ===
lua-torch-nngraph (0~20170208-g3ed3b9b-3) unstable; urgency=medium

  * Fix autopkgtest failure.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 12 May 2018 08:52:26 +0000

lua-torch-nngraph (0~20170208-g3ed3b9b-2) unstable; urgency=medium

  * Add watch file to monitor upstream master branch.
  * Point Vcs-* fields to Salsa.
  * Bump debhelper compat level to 11.
  * Update copyright information.
  * Change copyright-format URL into https form.
  * Bump Standards-Version to 4.1.4 .
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 26 Apr 2018 09:19:24 +0000

lua-torch-nngraph (0~20170208-g3ed3b9b-1) experimental; urgency=medium

  * New upstream version 0~20170208-g3ed3b9b
  * tests: Add autopkgtest control file.
  * control: Bump debhelper compat to 10.
  * control: Bump Standards-Version to 4.0.0 (requires no change).

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 26 Jul 2017 16:10:31 +0000

lua-torch-nngraph (0~20160804-g40e4207-1) experimental; urgency=low

  * Initial release. Closes: #827433

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 14 Aug 2016 13:40:11 +0000

=== debian/control ===
Source: lua-torch-nngraph
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>=11),
               dh-lua,
# lua-torch-{torch7,nn,graph} are not real B-D, but explicit runtime dependencies
               lua-torch-torch7,
               lua-torch-nn,
               lua-torch-graph,
Standards-Version: 4.1.4
Homepage: https://github.com/torch/nngraph
Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-nngraph
Vcs-Git: https://salsa.debian.org/science-team/lua-torch-nngraph.git

Package: lua-torch-nngraph
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
         lua5.1 | luajit,
         lua-torch-torch7,
         lua-torch-nn,
         lua-torch-graph,
Suggests: graphviz
XB-Lua-Versions: ${lua:Versions}
Description: Neural Network Graph Package for Torch Framework
 This package provides graphical computation for `nn` library in Torch.
 The aim of this library is to provide users of `nn` package with tools to
 easily create complicated architectures. Any given `nn` `module` is going
 to be bundled into a graph node. The `__call__` operator of an instance of
 `nn.Module` is used to create architectures as if one is writing function
 calls.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -s . nngraph
	dh_auto_configure

override_dh_auto_clean:
	-$(RM) -rf 5.1-torch-nngraph 5.2-torch-nngraph debian/trash nngraph
	dh_auto_clean

=== debian/tests/control ===
Test-Command: luajit -ltorch -lnngraph -e 'print(true)'
Depends: @, luajit

Test-Command: luajit -ltorch -lnngraph test/test_old.lua
Depends: @, luajit, graphviz

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd-g%h" \
https://github.com/torch/nngraph \
HEAD debian uupdate
